package ru.tehkode.config;

import org.yaml.snakeyaml.DumperOptions;
import org.yaml.snakeyaml.Yaml;

public class YAMLConfigurationTest extends SimpleConfigurationTest {

	@Override
	public SimpleConfiguration getConfiguration() {
		return new YAMLConfiguration();
	}

	@Override
	public String getTestInputData() {
		DumperOptions yamlOptions = new DumperOptions();
		Yaml yaml = new Yaml(yamlOptions);

		yamlOptions.setIndent(YAMLConfiguration.DEFAULT_IDENT);
		yamlOptions.setDefaultFlowStyle(DumperOptions.FlowStyle.BLOCK);
		
		return yaml.dump(this.getTestData());
	}
}
